create table Orders (
	OrderID integer NOT NULL CHECK (OrderID > 0) unique,
	AuthNo text NOT NULL CHECK (AuthNo <> ''),
	ShippingAmount float NOT NULL CHECK (ShippingAmount >= 0.0),
	TaxAmount float NOT NULL CHECK (TaxAmount >= 0.0),
	TotalAmount float NOT NULL CHECK (TotalAmount >= 0.0),
	ItemList text NOT NULL CHECK (ItemList <> ''),
	CCName text NOT NULL CHECK (CCName <> ''),
	BillName text NOT NULL CHECK (BillName <> ''),
	BillAddr1 text NOT NULL CHECK (BillAddr1 <> ''),
	BillAddr2 text,
	BillCity text NOT NULL CHECK (BillCity <> ''),
	BillState text NOT NULL CHECK (BillState <> ''),
	BillCountry text NOT NULL CHECK (BillCountry <> ''),
	BillZip text NOT NULL CHECK (BillZip <> ''),
	ShipName text,
	ShipAddr1 text,
	ShipAddr2 text,
	ShipCity text,
	ShipState text,
	ShipCountry text,
	ShipZip text,
	Phone text NOT NULL CHECK (Phone <> ''),
	EMail text NOT NULL CHECK (EMail <> ''),
	PayMethod text NOT NULL CHECK (PayMethod <> ''),
	ShipRegion text,
	ShipMethod text,
	OrderState char(10) NOT NULL CHECK (OrderState <> ''),
	TrackingNumber text,
	DateOrdered Date NOT NULL,
	DateShipped Date
	);

